/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package visuAnalor;

import java.io.*;
import visuAnalor.donnees.*;
import visuAnalor.fichiers.*;

/**
 *
 * @author Bernard
 */
public class Corpus {
  // Petit exemple de travail en batch : on importe des fichiers Praat 
  // et on les convertit en fichiers Analor
  public static void main(String[] args) throws IOException {
    Donnees donnees = new Donnees();
    File rep = new File("Rhapsodie dialogues");
    FileFilter filtre = new FileFilter() {
      @Override
      public boolean accept(File f) {
        return f.getName().endsWith("Pitch");
      }
    };
    File[] ficsPitch = rep.listFiles(filtre);
    for (File fic : ficsPitch) {
      donnees.fermer();
      FichiersPraat.importerPraat(donnees, fic);
      String nomPitch = fic.getName();
      String nom = nomPitch.substring(0, 10);
      File fic1 = new File(rep, nom+"-Pro.TextGrid");
      FichiersPraat.importerPraat(donnees, fic1);
      File fic2 = new File(rep, nom+".or");
      FichiersJava.enregistrerDonnees(donnees, fic2);
    }
  }
}
